I've got a webcam on my lappy that works using v4l2 (video4linux 2). Applications like Ekiga that can use v4l2 api work perfectly. But it seems that most camera apps use the original v4l, and none of them work.

My question is basically, does anyone know why this might be happening? and what I could try to get the v4l api working so I can use apps like Kopete?

thanks.